%bcond_without tests
%global debug_package %{nil}

Summary:        DIM userspace tools
Name:           dim_tools
Version:        1.0.1
Release:        1%{?dist}
License:        MulanPSL-2.0
URL:            https://gitee.com/openeuler/dim_tools
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc make elfutils-devel openssl-devel kmod-devel kmod-libs
%if %{with tests}
BuildRequires:  kernel-devel kernel-modules
%endif
Requires:       elfutils openssl kmod-libs

%description
dim_tools is DIM userspace tools.

%prep
%autosetup -n %{name}-v%{version} -p1
sed -i 's/\(CFLAGS\|LDFLAGS\) ?=/\1 +=/' src/Makefile

%build
pushd src
make
popd

%install
pushd src
make install DESTDIR=%{buildroot}
popd

%check
%if %{with tests}
pushd test/test-function
sed -i "s/\ttest_calculate_hash_mod/#test_calculate_hash_mod/" test.sh
sh test.sh
popd
%endif

%files
%attr(555,root,root) %{_bindir}/dim_gen_baseline

%changelog
* Wed Oct 30 2024 Sinong Chen <costinchen@tencent.com> 1.0.1-1
- Init package.
